// OpenDepot.h : Declaration of the OpenDepot

#pragma once
#include "resource.h"       // main symbols

#include "P4Dialogs.h"

// OpenDepot

class ATL_NO_VTABLE OpenDepot : 
	public ISupportErrorInfo,
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<OpenDepot, &CLSID_OpenDepot>,
	public IDispatchImpl<IOpenDepot, &IID_IOpenDepot, &LIBID_P4Dialogs, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	OpenDepot()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_OPENDEPOT)


BEGIN_COM_MAP(OpenDepot)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
	COM_INTERFACE_ENTRY(IOpenDepot)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

	STDMETHOD(Run)(long hWnd, VARIANT fileTypes, BSTR* selectedFile);
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);
};

OBJECT_ENTRY_AUTO(__uuidof(OpenDepot), OpenDepot)
